fcode_bloc 0.5.12

Flutter Android iOS

Firebase Repository implementation for BLoC. This usses firestore package and expose the functions by using the repository design pattern.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  fcode_bloc: ^0.5.12

2. Install it

You can install packages from the command line:

with Flutter:

$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:fcode_bloc/fcode_bloc.dart';
3
likes
100
pub points
62%
popularity

Publisher

fcodelabs.com

Firebase Repository implementation for BLoC. This usses firestore package and expose the functions by using the repository design pattern.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

built_collection, built_value, cloud_firestore, firebase_core, flutter, meta, rxdart

More

Packages that depend on fcode_bloc